STRUCT HASH<ST(3)

NAME
boost::hash<std::type_index>

SYNOPSIS

// In header: <boost/functional/hash.hpp>
struct hash<std::type_index> {
  std::size_t operator()(std::type_index) const;
};

DESCRIPTION

std::size_t operator()(std::type_index val) const;

Returns:
    val.hash_code()

Throws:
    Doesn't throw